# $Revision: 1.168 $, $Date: 2012/01/29 11:27:46 $
#
# TODO:
# - make some README.PLD with system features description
#
%define	iana_etc_ver	2.30

Summary:	Simple setup files
Summary(de.UTF-8):	Einfache Setup-Dateien
Summary(es.UTF-8):	Varios archivos básicos de configuración
Summary(fr.UTF-8):	Fichiers de configuration simples
Summary(ja.UTF-8):	サンプルセットアップファイル
Summary(pl.UTF-8):	Podstawowe pliki systemu Linux
Summary(pt_BR.UTF-8):	Vários arquivos básicos de configuração
Summary(tr.UTF-8):	Basit kurulum dosyaları
Name:		setup
Version:	2.8.4
Release:	1
License:	Public Domain, partially BSD-like
Group:		Base
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	62f0ab5eaba651c291e1d76919530673
# http://sethwklein.net/iana-etc
Source1:	http://sethwklein.net/projects/iana-etc/downloads/iana-etc-%{iana_etc_ver}.tar.bz2
# Source1-md5:	3ba3afb1d1b261383d247f46cb135ee8
Source2:	http://www.iana.org/assignments/protocol-numbers/index.txt
# Source2-md5:	33440b7d913303a6051ae64290f0ab21
Source3:	http://www.iana.org/assignments/port-numbers
# Source3-md5:	8e19a2c7cf60baabf919de1cc89a1cbb
Patch0:		%{name}-iana-etc.patch
# This is source of non-iana changes in services file
Patch1:		%{name}-services.patch
Patch2:		protocols-fmt.patch
BuildRequires:	dietlibc-static
BuildRequires:	gawk
Requires:	FHS >= 2.3-24.1
Provides:	group(fuse)
Conflicts:	PowerChutePlus < 4.5.3-2
Conflicts:	glibc < 6:2.4-4.1
# tape,dialout and cdrom groups support
Conflicts:	dev < 3.4-4
Conflicts:	udev < 1:138-5
# /etc/mtab being symlink to /proc/self/mounts
Conflicts:	rc-scripts < 0.4.5.1-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%undefine	with_ccache

%description
This package contains a number of very important configuration and
setup files, including the passwd, group, profile files, etc.

%description -l de.UTF-8
Dieses Paket enthält wichtige Konfigurations- und Setup-Dateien, u.a.
passwd-, group-, profile-Dateien usw.

%description -l es.UTF-8
Este paquete contiene una variedad de archivos de configuración y
setup muy importantes, incluyendo el passwd, group, archivos de
"perfil", etc.

%description -l fr.UTF-8
Ce paquetage contient un nombre de fichiers de configuration très
importants, comme passwd, group, les fichiers profile, etc.

%description -l ja.UTF-8
このsetupパッケージには、passwd, group, profile などの、
重要なシステム設定ファイルが含まれてます。

%description -l pl.UTF-8
Pakiet ten zawiera wiele bardzo ważnych plików konfiguracyjnych dla
Twojego systemu.

%description -l pt_BR.UTF-8
Este pacote contém uma variedade de arquivos de configuração e setup
muito importantes, incluindo o passwd, group, arquivos de "perfil",
etc.

%description -l tr.UTF-8
Bu paket, passwd, group, profile gibi çok önemli ayar ve kurulum
dosyalarını içerir.

%prep
%setup -q -a1
%patch0 -p1
mv iana-etc{-%{iana_etc_ver},}
%patch2 -p1

cp -a %{SOURCE2} iana-etc/protocol-numbers.iana
cp -a %{SOURCE3} iana-etc/port-numbers.iana

%build
%{__make} -C iana-etc
%{__patch} iana-etc/services %{PATCH1}

# kill trailing spaces/tabs
%{__sed} -i -e 's,[ \t]\+$,,' iana-etc/{services,protocols}

%{__make} \
	CC="diet %{__cc}" \
	OPT_FLAGS="%{rpmcflags} -Os" \
	LDFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a iana-etc/{services,protocols} $RPM_BUILD_ROOT%{_sysconfdir}

# not packaged
rm $RPM_BUILD_ROOT%{_sysconfdir}/{netgroup,suid_profile}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -p /sbin/postshell -- %{name} < %{version}-%{release}
%{_sbindir}/joinpasswd
%{_sbindir}/delpasswd -g ttyS cdwrite

%triggerin -p %{_sbindir}/update-fstab -- %{name} < 2.4.10-1

%post -p /sbin/postshell
-/sbin/env-update -u

%postun -p /sbin/postshell
-/sbin/env-update -u

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_sbindir}/delpasswd
%attr(755,root,root) %{_sbindir}/joinpasswd
%attr(755,root,root) %{_sbindir}/postshell
%attr(755,root,root) %{_sbindir}/update-fstab
%config(noreplace,missingok) %verify(not md5 mtime size) %attr(755,root,root) /etc/profile.d/*.sh
%config(noreplace,missingok) %verify(not md5 mtime size) %attr(755,root,root) /etc/profile.d/*.csh
%dir /etc/profile.d
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/env.d/*
%dir %{_sysconfdir}/env.d
%dir %{_sysconfdir}/shrc.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fstab
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/group
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/host.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hosts
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/passwd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/profile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/protocols
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/secure*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/services
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/filesystems
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/motd
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/resolv.conf
%ghost %{_sysconfdir}/shells
# symlink to /proc/self/mounts
%{_sysconfdir}/mtab

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: setup.spec,v $
Revision 1.168  2012/01/29 11:27:46  baggins
- 2.8.4

Revision 1.167  2012/01/12 14:22:27  arekm
- md5

Revision 1.166  2012/01/12 14:20:20  arekm
- 2.8.3 ; hidepid=2 for /proc

Revision 1.165  2011/12/08 19:26:24  arekm
- up to 2.8.2

Revision 1.164  2011/12/08 11:21:34  arekm
- 2.8.1 (more checking in joinpasswd)

Revision 1.163  2011/11/28 20:47:15  arekm
- rel 2; package /etc/mtab actually

Revision 1.162  2011/11/28 20:40:54  arekm
- up to 2.8.0; /etc/mtab as /proc/self/mounts symlink

Revision 1.161  2011/02/25 06:32:27  arekm
- rel 3; use gotar fix

Revision 1.160  2011/02/24 19:24:01  arekm
- rel 2; export var in zsh only if var is set

Revision 1.159  2011/01/25 12:08:35  glen
- 2.7.3:
 - etc/profile: - add xdg like ~/.local/bin to PATH if exists
 - etc/fstab: Prefer all cgroup subsystems instead of cpuset only.
   Use common place for mounting thse.

Revision 1.158  2010/03/25 14:23:31  pawelz
- fixed Source0

Revision 1.157  2010/03/25 14:14:55  pawelz
- up to 2.7.2

Revision 1.156  2009/11/17 08:13:03  glen
- v2.7.1
- update protocols from iana (last updated 2009-06-18)
- update services from iana (last updated 2009-11-16)
- actually install iana generated services

Revision 1.155  2009/06/08 06:43:05  amateja
- updated iana_etc to 2.30
- release 2

Revision 1.154  2009/06/05 13:03:47  glen
- use 2.6.2 tarball, no changes in there

Revision 1.153  2009/06/04 21:33:54  glen
- setup requires FHS, not vice versa
- versiopn 2.7

Revision 1.152  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.151  2009/03/02 11:00:47  baggins
- i love broken comment parsing

Revision 1.150  2009/03/02 10:50:38  baggins
- rel 2

Revision 1.149  2009/03/02 10:50:28  baggins
- C dev < 3.4-4, udev < 1:138-5 due to changes in group names (tape, dialout, cdrom)

Revision 1.148  2009/03/02 00:27:11  baggins
- 2.6.2
- remove obsolete groups in triggerpostun

Revision 1.147  2009/03/01 17:13:41  baggins
- added commented out probable conflicts

Revision 1.146  2009/02/19 09:01:40  arekm
- up to 2.6.1

Revision 1.145  2009/01/25 22:42:04  baggins
- wrong comment in previous commit, should be C: PowerChutePlus
  due to pwrchute uid/gid numbers change

Revision 1.144  2009/01/25 22:40:50  baggins
- user/groupmod in pre

Revision 1.143  2008/12/19 17:37:11  glen
- merge 2.6.0 from AC-branch

Revision 1.142  2008/06/16 19:00:22  draenog
- %config directive for files in /etc/profile.d

Revision 1.141  2008/05/27 12:11:24  glen
- release 2

Revision 1.140  2008-05-27 11:42:45  glen
- kill trailing spaces from services file, rel 1

Revision 1.139  2008-05-27 11:20:04  glen
- update to 2.5.7 (damn cvs locks!)

Revision 1.137  2008-04-18 07:41:59  blues
- added provides fuse group

Revision 1.136  2008-04-18 06:42:08  arekm
- rel 2; fuse group added

Revision 1.135  2008-04-01 07:28:59  arekm
- up to 2.4.12

Revision 1.134  2007-11-30 08:34:28  pascalek
- added quotation marks patch

Revision 1.133  2007-11-25 16:26:10  qboosh
- updated iana-etc to 2.20
- dropped obsolete csync patch
- added iana-etc,services patches
- temporarily use adjusted services generated from iana-etc

Revision 1.132  2007-11-21 20:23:13  adamg
- updated to 2.4.11

Revision 1.131  2007/09/05 14:14:04  baggins
- rel 6

Revision 1.130  2007/07/18 23:28:29  blues
- rel.5 - added csync2 patch

Revision 1.129  2007/03/12 08:13:57  tommat
- fix multilib build

Revision 1.128  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.127  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.126  2006/09/07 09:48:34  pluto
- ssp dropped.

Revision 1.125  2006/09/06 16:02:00  paszczus
- reverted

Revision 1.124  2006/09/06 15:52:41  paszczus
- release 5

Revision 1.123  2006/09/06 15:51:47  paszczus
- added R: env-update

Revision 1.122  2006/09/05 19:44:06  sparky
- C: glibc < 6:2.4-4.1

Revision 1.121  2006/09/05 14:56:27  sparky
- postshell in setup.spec
- build with -Os

Revision 1.120  2006/08/31 17:25:25  glen
- env-update, rel 4

Revision 1.119  2006/08/31 15:49:26  glen
- rel 3

Revision 1.118  2006/07/30 14:55:35  sparky
- pass rpmldflags

Revision 1.117  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.116  2006/04/30 11:33:31  glen
- read /etc/profile.env if present

Revision 1.115  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.114  2005/10/13 17:01:21  glen
- add /dev/tts/{0,1} to securetty

Revision 1.113  2005/10/02 20:14:30  arekm
- rel 2

Revision 1.112  2005/09/17 12:50:44  sparky
- trigger written in C, now it must be OK !

Revision 1.111  2005/09/16 22:25:33  sparky
- trigger script written in lua

Revision 1.110  2005/09/16 18:37:50  sparky
- aAAA! one more typo and I'll kill myself :/

Revision 1.109  2005/09/16 18:30:27  glen
- shouldn't the trigger be static program, as setup is installed as very first thing to system? (chick-egg race?)

Revision 1.108  2005/09/16 18:28:11  glen
- %triggerpostun you mean?
- keep /etc/fstab permissions whatever they were

Revision 1.107  2005/09/16 17:56:20  sparky
- 2.4.10, it works but I don't like it much, can anyone check it ?

Revision 1.106  2005/03/27 11:54:30  havner
- let's keep obsoletes in one place, basesystem is imo better for that

Revision 1.105  2005/03/22 14:41:35  blues
- 2.4.9 - fixed (I hope) services file

Revision 1.104  2005/03/16 20:29:37  qboosh
- enhanced todo entry

Revision 1.103  2005/03/16 11:02:46  arekm
- todo item

Revision 1.102  2005/03/06 12:39:21  kosmo
- updated iana-etc to 1.04

Revision 1.101  2005/02/17 17:27:30  ankry
- nobody knows, wkat is unfinished? Rel. 1

Revision 1.100  2005/02/11 14:52:58  blues
- 2.4.8 - WHAT IS NEEDED TO MAKE IT rel. 1 ???

Revision 1.99  2005/01/03 12:53:03  blues
- released 2.4.7 - what needs to be done to finish that?

Revision 1.98  2004/12/03 02:20:16  ankry
- arch-dependent O:gfax, rel. 8.2

Revision 1.97  2004/11/26 21:20:31  qboosh
- it must be gawk
- our services had some non-iana entries added - rel 8.1 until patch comes

Revision 1.96  2004/11/26 18:20:43  arekm
- rel 8; use http://www.sethwklein.net/projects/iana-etc/

Revision 1.95  2004/10/19 18:08:40  djurban
- fileshare instead of samba stbring

Revision 1.94  2004/10/19 16:24:27  havner
- rel 6 for samba group

Revision 1.93  2004/10/12 21:31:17  mmazur
- rel 5 for th

Revision 1.92  2004/06/29 20:44:41  djurban
- reverted bogus update

Revision 1.91  2004/06/29 13:28:59  djurban
- 2.4.7 with servies group

Revision 1.90  2004/06/13 20:16:34  ankry
- added -special_users.patch, rel. 3

Revision 1.89  2004/05/17 12:27:44  pluto
- all bconds fixed.

Revision 1.88  2004/05/17 12:08:43  pluto
- bcond: s/pp/ssp/

Revision 1.87  2004/04/28 11:14:27  havner
- added /etc/shrc.d dir
- added setup-fstab.patch

Revision 1.86  2004/04/04 19:30:53  blues
- added config

Revision 1.85  2004/04/04 19:27:57  blues
- 2.4.6 - /etc/env.d introduced

Revision 1.84  2004/02/22 08:31:10  gotar
- added setup and tmpfs patches, release 5

Revision 1.83  2004/02/04 16:09:45  qboosh
- new fstab requires FHS 2.3 (with /media/{cdrom,floppy}) - Conflicts added

Revision 1.82  2004/02/04 14:25:44  deejay1
- added FHS 2.3 patch for fstab, rel up
- changelog cosmetics

Revision 1.81  2004/01/08 18:38:18  kosmo
- added %bcond_with pp (thx. Pawel Sikora)

Revision 1.80  2004/01/03 02:08:06  qboosh
- release 3 to rebuild with fixed dietlibc on sparc

Revision 1.79  2004/01/02 09:42:30  qboosh
- fixed trigger to use joinpasswd as script program, so the package
  no longer depends on /bin/sh (which caused fresh installation failures)
- release 2

Revision 1.78  2003/09/26 09:08:38  blues
- oh, well.. no time mean many mistakes... :(

Revision 1.77  2003/09/26 08:41:55  blues
- 2.4.5

Revision 1.76  2003/09/26 08:35:44  blues
- build with dietlibc - seems to work

Revision 1.75  2003/09/25 18:08:00  speedy
- support for IRRd routing registry. (irrd & irr_rpsl_submit)
- release 1.4 (will i be killed?)

Revision 1.74  2003/09/18 12:36:32  yoshi
- Release 1.2 -> 1.3 (i alwys forget about it :/)

Revision 1.73  2003/09/18 12:35:43  yoshi
- fix in /etc/services. cyrus-imapd uses timsieved daemon, which requires
  sieve 2000/tcp rather than callbook 2000/tcp. Without it timsieved dies.

Revision 1.72  2003/09/16 19:04:01  blues
- put joinpasswd into trigger

Revision 1.71  2003/09/16 10:31:35  malekith
- use full path in call to joinpasswd

Revision 1.70  2003/09/16 00:32:52  blues
- added call for joinpasswd in post - not sure about that (what about fresh
  installation?)

Revision 1.69  2003/09/16 00:21:43  blues
- added missing sbindir redefinition

Revision 1.68  2003/09/16 00:03:23  blues
- 2.4.4 - package is no longer noarch (joinpasswd is now), cleanups in
  files. There is still some TODO

Revision 1.67  2003/08/24 23:56:22  mmazur
- rel 1 for ac

Revision 1.66  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.65  2003/05/25 06:26:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.64  2003/04/03 20:06:52  qboosh
- fixed prep

Revision 1.63  2003/04/03 14:04:47  qboosh
- 2.4.3, with fixed /etc/services

Revision 1.62  2003/04/01 15:15:29  adasi
- fixed

Revision 1.61  2003/04/01 15:12:18  adasi
- new version

Revision 1.60  2002/12/29 21:00:00  mmazur
- rel4.1 so that ppl remember about the new /etc/services file

Revision 1.59  2002/12/07 23:49:20  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.58  2002/10/08 15:20:48  ankry
- added user mail to group uucp

Revision 1.57  2002/06/13 08:48:00  qboosh
- added alias pop=pop2 (expected by imap-pop2) to services; release 4

Revision 1.56  2002/04/05 15:09:32  roman
- s/public domain/Public Domain in License

Revision 1.55  2002/03/10 16:52:16  qboosh
- release 3: added ipp,ldaps,wnn4_Cn,wnn4_Kr,wnn4_Tw to /etc/services

Revision 1.54  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/01/18 02:14:53  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/10/24 10:09:05  qboosh
- release 2: added /etc/group with video group (gid=24)

Revision 1.51  2001/10/18 16:40:24  gotar
- cosmetics.

Revision 1.50  2001/10/01 18:01:25  qboosh
- new CVS version (2.4.1):
  - removed setting MAIL variable from /etc/profile (mkochano)
  - fixed /etc/services file (qboosh)
  - groups for grsecurity in /etc/group (baggins)
  - added /etc/resolv.conf (blues)
  - fixed PATH setting in /etc/profile (zagrodzki)
  - new joinpasswd program (malekith)
- what about joinpasswd?

Revision 1.49  2001/09/09 17:46:14  gotar
- cosmetical changes in descriptions.

Revision 1.48  2001/08/30 12:18:49  gotar
- awful %configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.47  2001/08/11 19:08:04  blues
- resolv.conf and fstab added
- NOTE: new version from cvs is needed

Revision 1.46  2001/08/11 18:41:01  blues
- translations

Revision 1.45  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.44  2001/07/03 20:34:28  gotar
- added missingok flag for %{_sysconfdir}/filesystems file.

Revision 1.43  2001/06/30 17:13:57  gotar
- added missingok flag for %{_sysconfdir}/motd file,
- added using %{__*} macros.

Revision 1.42  2001/06/25 21:49:51  qboosh
- release 2 - rebuild with fixed /etc/services

Revision 1.41  2001/06/19 16:12:35  qboosh
- new, fixed services:
  - unexpanded
  - comments should be comments, not aliases
  - added some ports and aliases (mostly from old services)

Revision 1.40  2001/06/18 14:25:22  baggins
- version 2.4.0
- changed user "games" gid to 20 (jajcus)
- /etc/profile - full support for ksh93 (baggins)
- merged /etc/services by Wojciech "Sas" Cieciwa <cieciwa@pld.org.pl>

Revision 1.39  2001/02/26 11:12:47  cieciwa
- typo.

Revision 1.38  2001/02/26 11:09:44  cieciwa
- replace services file.

Revision 1.37  2001/01/12 07:55:15  zagrodzki
- added "icmp" group

Revision 1.36  2000/11/03 09:10:16  kloczek
- adapterized.

Revision 1.35  2000/11/02 17:25:02  baggins
- commented out %triggerin scripts - somebody do something with
  PreReq: /bin/sh :(

Revision 1.34  2000/11/02 17:23:52  baggins
- autoreqprov: no
- uncommented %triggerin script

Revision 1.33  2000/11/02 17:20:01  baggins
- release 2.3.1
- in /etc/profile add /usr/X11R6/bin and $HOME/bin to PATH if
  it's not there
- added %triggerin script to add missing groups after upgrade

Revision 1.32  2000/08/28 23:00:27  zagrodzki
- added /etc/hosts to %files

Revision 1.31  2000/08/08 23:11:31  zagrodzki
- release 4
- added /etc/filesystems

Revision 1.30  2000/07/22 08:01:34  kloczek
- release 3,
- removed /etc/printcap.

Revision 1.29  2000/07/22 07:32:52  kloczek
- new version 2.3.0:
- /etc/services: - added 464/udp for kpasswdd (waszi),
- /etc/services: - added 224/{tcp,udp} for masqdialer (zagrodzki),
- /etc/hosts: - added 127.0.0.1 (baggins),
- /etc/profile: - removed ash (baggins),
- /etc/profile: - fix setting up sane defaults for rootshell/bash/ksh
  (baggins).

Revision 1.28  2000/07/20 08:44:33  mis
- removed /etc/printcap, it's in LPRng now

Revision 1.27  2000/06/03 15:01:35  baggins
- removed /etc/issue* from package
- fixed/improved /etc/profile
- version 2.2.6

Revision 1.26  2000/05/30 13:41:26  baggins
- version 2.2.5

Revision 1.25  2000/05/10 18:26:33  kloczek
- updated to 2.2.3 (release 2),
- new issue/issue.net,
- updated group/paswd to be RH 6.2 compliant.

Revision 1.24  2000/04/17 10:50:01  zagrodzki
- updated to 2.0.9

Revision 1.23  2000/04/14 16:38:15  zagrodzki
- updated to 2.0.8

Revision 1.22  2000/04/05 09:23:14  zagrodzki
- spec updated to 2.0.7

Revision 1.21  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.19  1999/10/03 16:16:21  kloczek
- new 2.0.6 version,
- added pop3 as alias to pop-3 (fix trouble with fetchmail) (wiget).

Revision 1.18  1999/09/17 13:47:37  ser
- setup is ready.

Revision 1.17  1999/09/15 17:35:30  kloczek
- cosmetics.

Revision 1.16  1999/08/10 18:59:26  baggins
- updated to latest CVS version
- added /etc/profile.d
- added ghost /etc/shells

Revision 1.15  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
